/* $Id: audit.h,v 1.14 1998/01/26 01:05:29 futo Exp $
 * audit.h                                              
 * Definitions for the auditing of system logs
 */
#include <sys/time.h>
#define AUD_HOSTLEN	32
#define MAXKEY 56
#define AUDIT_RANDFILE "/audit/.rand"

struct au_key {
	char host[AUD_HOSTLEN];
	time_t addtime;
	char key[MAXKEY];
	int keylen;
}; 

#define AU_OBINFO	32
typedef struct {
	char obscure[AU_OBINFO];
	time_t stamp;
} au_info;

#define AUDIT_PORT	8096
#define AU_BLKSZ	8

#define AU_CMDSZ	1

#define AU_GETLOGS				1
#define AU_AUDIT					2
#define AU_END						3
#define AU_ERROR_NOFILE 	254
#define AU_ERROR_BACKUP 	255
#define AU_OK		0



#define AUTH_INITMSG	"---------- INITIALIZED BY AUDITOR ----------"
